## org.Biocorba.Seqcore
Class _SeqFeature_Tie

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--org.Biocorba.Seqcore._SeqFeatureImplBase
                        |
                        +--org.Biocorba.Seqcore._SeqFeature_Tie

public class _SeqFeature_Tie
extends _SeqFeatureImplBase

See Also:
  Serialized Form

Field Summary
`_SeqFeature_Operations` `servant`

Constructor Summary
`_SeqFeature_Tie(_SeqFeature_Operations servant)`

Method Summary
`int` `end()`
`PrimarySeq` `get_PrimarySeq()`
`boolean` `PrimarySeq_is_available()`
`NameValueSet[]` `qualifiers()`
`org.omg.CORBA.Object` `query_interface(java.lang.String repoid)`
`void` `ref()`
`java.lang.String` `seq_primary_id()`
`java.lang.String` `source()`
`int` `start()`
`short` `strand()`
`java.lang.String` `type()`
`void` `unref()`

Methods inherited from class org.Biocorba.Seqcore._SeqFeatureImplBase
`_ids, invoke`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### servant

    public _SeqFeature_Operations servant

Constructor Detail

### _SeqFeature_Tie

    public _SeqFeature_Tie(_SeqFeature_Operations servant)

Method Detail

### ref

    public void ref()

### unref

    public void unref()

### query_interface

    public org.omg.CORBA.Object query_interface(java.lang.String repoid)

### type

    public java.lang.String type()

### source

    public java.lang.String source()

### seq_primary_id

    public java.lang.String seq_primary_id()

### start

    public int start()

### end

    public int end()

### strand

    public short strand()

### qualifiers

    public NameValueSet[] qualifiers()

### PrimarySeq_is_available

    public boolean PrimarySeq_is_available()

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq()
                              throws UnableToProcess